%global  basever 0.8.16

Name:           emerald
License:        GPLv2+
Version:        0.8.18
Release:    1%{?dist}
Summary:        Themeable window decorator and compositing manager for Compiz
URL:            https://gitlab.com/compiz/%{name}
Source0:        %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2

Requires:       compiz >= %{basever}


BuildRequires:  compiz-devel >= %{basever}
BuildRequires:  libwnck3-devel
BuildRequires:  gtk3-devel
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
BuildRequires:  perl(XML::Parser)
BuildRequires:  gettext-devel
BuildRequires:  libXres-devel
BuildRequires:  libtool
BuildRequires:  automake
BuildRequires: make


%description
Emerald is themeable window decorator and compositing
manager for Compiz.

%package devel
Summary: Development files for emerald
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The emerald-devel package provides development files
for emerald, the themeable window decorator for Compiz.


%prep
%setup -q -n %{name}-v%{version}

%build
./autogen.sh
%configure \
    --with-gtk=3.0 \
    --disable-mime-update

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags} V=1


%install
%{make_install}

find %{buildroot} -type f -name "*.a" -o -name "*.la" | xargs rm -f

rm -f %{buildroot}%{_datadir}/applications/compiz-*-emerald.desktop
rm -f %{buildroot}%{_datadir}/applications/emerald-decorator.desktop
rm -f %{buildroot}%{_bindir}/compiz-*-emerald

%find_lang %{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/emerald-theme-manager.desktop




%files -f %{name}.lang
%doc COPYING NEWS
%{_bindir}/*
%dir %{_libdir}/emerald
%dir %{_libdir}/emerald/engines
%{_libdir}/emerald/engines/*.so
%{_libdir}/libemeraldengine.so.*
%{_datadir}/applications/emerald-theme-manager.desktop
%dir %{_datadir}/emerald
%dir %{_datadir}/emerald/theme
%{_datadir}/emerald/theme/*
%{_datadir}/emerald/settings.ini
%{_datadir}/mime-info/emerald.mime
%{_datadir}/mime/packages/emerald.xml
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_mandir}/man1/*.1.*

%files devel
%{_includedir}/emerald/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libemeraldengine.so


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.18-1
- initial build
